export default {
        es : {
                gbl : {
                required : 'Dato requerido',
                size : 'Tamaño fuera de rango',
                emailbadformat : 'Formato inválido para email',
                passwordbadformat : 'Formato de password/contraseña inválido',
                numberbadformat : 'Formato inválido para un numero',
                datebadformat : 'Formato o valor inválido para fecha',
                urlbadformat : 'Formato inválido para email',
                invalidhexvalue : 'Valor de color HEXADECIMAL inválido',
                success: 'Operación realizada exitosamente',
                alreadydone: 'Operación/Solicitud ya recibida o realizada',
                failed : 'Operación fallida',
                bad_input_data : 'Algunos datos de entrada no fueron recibidos o contienen errores',
                fatal: 'Error interno del servidor',
                token_not_received: 'Token no recibido',
                token_gen_failure: 'Error generando token. Usuario no autenticado',
                token_dec_failure: 'Error decodificando token (posiblemente vencido)',
                token_isnot_valid: 'Token invalido o vencido',
                token_ok: 'Token verificado exitosamente',
                token_not_found: "Token no ha sido generado por servicio de autorización",
                email_isnot_valid : 'Formato de email es inválido',
                phone_isnot_valid : 'Formato de teléfono es inválido',
                date_in_past: 'Fecha inválida (no puede estar en el pasado)',
                preferences_arenot_valid: 'Algunas preferencias no son válidas',
                sort_unsupported_format : 'Formato de parámetro de entrada sort inválido',
                filter_unsupported_format : 'Formato de parámetro de entrada filtro inválido',
                empty_file : 'Archivo anexo es vacío',
                invalid_img_dim : 'Dimensiones de imagen inválidas o no recibidas',
                presign_up_ok : 'Validación pre-registro (email/teléfono) exitosa'
                },
                serviceapi_not_found: 'URL de servicio no encontrada',
                resource_not_found: 'URL de recurso REST no encontrada',
                resource_found_ok: 'URL de Recurso REST retornada exitosamente',
                menuitem_found_ok: 'Opcion(es) de Menú retornada(s) exitosamente',
                nenuitem_not_found: 'Opciones de Menú no registradas o no encontradas ',
                challengecode_sent_ok: 'Código de Operación enviado exitosamente',
                challengecode_verified_ok: 'Código de Operación verificado exitosamente',
                challengecode_not_sent: 'Envío de Código de Operación fallido',
                challengecode_has_expired: 'Código de Operación ha expirado',
                challengecode_not_found: 'Código de Operación inválido o no encontrado',
                user_found_ok : 'Usuario (o lista de usuarios) retornado(s) exitosamente',
                user_not_found : 'Usuario(s) no registrado(s) o no encontrado(s)',
                user_not_active : 'Usuario inactivo o suspendido',
                user_wrong_password : 'Password/Contraseña inválida',
                user_auth_ok: 'Autenticación exitosa',
                user_activity_ok: 'Actividad de usuario retornada OK',
                user_external_provider : 'Email registrado con una cuenta externa',
                user_already_registered : 'Ya existe un usuario registrado con ese email o teléfono',
                user_not_admin : 'Usuario no es administrador',
                user_not_authorized : 'Usuario no autorizado para realizar esta operación',
                user_cannot_createuser : 'Usuario no puede crear usuario de ROL superior',
                user_saved_ok : 'Datos de usuario han sido actualizados exitosamente',
                userfavoriteproduct_saved_ok : 'Producto favorito actualizado OK',
                uservisitedproduct_saved_ok : 'Producto visitado actualizado OK',
                user_loggedout_ok : 'Usuario ha salido del sistema',
                role_isnot_valid : 'Rol de nuevo usuario invalido',
                adminuser_cantcreate_customerusers : 'Administradores no deben crear usuarios de tipo CUSTOMER',
                category_found_ok : 'Categoría (o lista de categorías) retornada(s) exitosamente',
                category_not_found : 'Categoria(s) no registrada(s) o no encontrada(s)',
                category_pic_not_found : 'Imagen para categoría no encontrada',
                category_pic_notuploaded : 'Imagen de  categoría no pudo ser cargada o redimensionada',
                category_saved_ok : 'Categoría ha sido creada/actualizada exitosamente',
                category_exists_byname : 'Ya existe una categoría con ese nombre',
                country_found_ok : 'País (o lista de paises) retornada(s) exitosamente',
                country_not_found : 'País(es) no registrado(s) o no encontrado(s)',
                country_pic_not_found : 'Imagen para país no encontrada',
                country_pic_notuploaded : 'Imagen de pais no pudo ser cargada o redimensionada',
                country_saved_ok : 'País ha sido creado/actualizado exitosamente',
                country_exists_byname : 'Ya existe un pais con ese nombre',
                country_exists_bycode : 'Ya existe un pais con ese código',
                restaurant_found_ok : 'Restaurant (o lista de restaurantes) retornado(s) exitosamente',
                restaurant_not_found : 'Restaurant(es) no registrado(s) o no encontrado(s)',
                restaurant_pic_not_found : 'Imagen para restaurant no encontrada',
                restaurant_pic_notuploaded : 'Imagen de restaurant no pudo ser cargada o redimensionada',
                restaurant_saved_ok : 'Restaurant ha sido creado/actualizado exitosamente',
                restaurant_exists_byname : 'Ya existe un restaurant registrado con ese nombre',
                restaurantwkh_found_ok : 'Horario de Restaurant retornado exitosamente',
                restaurantwkh_not_found : 'Horario de Restaurant no encontrado',
                restauranttbl_found_ok : 'Lista de Mesas de Restaurant retornada OK',
                restauranttbl_not_found : 'Mesa(s) de Restaurant no encontradas',
                restauranttbl_not_available : 'Mesa de Restaurant no disponible',
                restauranttbl_noaction_provided : 'Acción para cambio de status de Mesa no recibida',
                restauranttbl_invalid_action : 'Acción para cambio de status de Mesa inválida',
                restauranttbl_invalid_actionfromcurrentstatus : 'Acción [no permitida/ya realizada] desde estado actual ',
                restauranttbl_saved_ok: 'Mesa creada/actualizada exitosamente',
                product_found_ok : 'Producto (o lista de productos) retornado(s) exitosamente',
                product_not_found : 'Producto(s) no registrado(s) o no encontrado(s)',
                product_pic_not_found: 'Imagen para producto no encontrada',
                product_pic_notuploaded : 'Imagen de producto no pudo ser cargada o redimensionada',
                product_exists_byname : 'Ya existe un producto registrado con ese nombre',
                product_saved_ok : 'Producto creado/actualizado exitosamente',
                order_found_ok : 'Orden (o Lista de Ordenes) retornada exitosamente',
                order_not_found : 'Orden(es) no registrada(s) o no encontrada(s)',
                order_saved_ok: 'Orden ha sido registrada/actualizada exitosamente',
                order_noaction_provided : 'Acción para cambio de status de Orden no recibida',
                order_invalid_action : 'Acción para cambio de status de Orden inválida',
                order_invalid_actionfromcurrentstatus : 'Cambio de status en Order: acción no permitida desde estado actual',
                order_is_closed: 'Orden ha sido previamente cerrada. No es posible realizar la operación solicitada',
                orderworkflow_not_found: 'Registro(s) de flujo de trabajo en Workflow de Ordenes no encontrado(s)',
                reservation_found_ok : 'Reservación (o Lista de Reservaciones) retornada exitosamente',
                reservation_not_found : 'Reservación(es) no registrada(s) o no encontrada(s)',
                reservation_max_reached: 'Máximo número de reservaciones alcanzado para esta fecha/hora',
                reservation_max_people: 'Máximo número de personas por reservación alcanzado',
                reservation_saved_ok: 'Reservación ha sido registrada/actualizada exitosamente',
                reservation_deleted_ok: 'Reservación ha sido eliminada exitosamente',
                reservation_isnot_active: 'Reservación no activa. No es posible realizar la operación solicitada',
                reservation_has_order: 'Reservación tiene una Order en proceso. No es posible realizar la operación solicitada',
                reservation_noaction_provided : 'Acción para cambio de status de Reservación no recibida',
                reservation_invalid_action : 'Acción para cambio de status de Reservación inválida',
                reservation_invalid_actionfromcurrentstatus : 'Cambio de status en Reservación: acción no permitida desde estado actual ',
                availability_found_ok: 'Disponibilidad por horas retornada OK',
                availability_not_found: 'Disponibilidad no encontrada',
                uimenu_exists_byname : 'Menu de Interfaz de Usuario ya existe con ese nombre',
        },
        en : {
                gbl :
                {
                 required : 'Required data not supplied',
                 size : 'Field size out of range',
                 emailbadformat : 'Invalid format for an email field',
                 passwrordbadformat : 'Invalid password',
                 numberbadformat : 'Invalid format for a number field',
                 datebadformat : 'Invalid format or value for a date field', 
                 urlbadformat : 'Invalid format for a URL field',
                 invalidhexvalue : 'Invalid color HEXADECIMAL value',
                 success: 'Operation has been made succesfully',
                 alreadydone: 'Operation/Requirement alreday done/recived',
                 failed : 'Operation has failed',
                 bad_input_data : 'Some required data were not received or are not valid',
                 fatal: 'Internal Server Error',
                 token_not_received: 'Token no recibido',
                 token_gen_failure: 'Something wrong during token generation. User not authenticated',
                 token_dec_failure: 'Something wrong while decoding token (possibly out of date)',
                 token_isnot_valid: 'Token is invalid or has expired',
                 token_ok: 'Token verified successfully',
                 token_not_found: "Token provided was not generated by the AUTH service",
                 email_isnot_valid : 'Email format is wrong',
                 phone_isnot_valid : 'Phone format is wrong',
                 date_in_past: 'Input date invalid (cannot be in the past)',
                 preferences_arenot_valid: 'Some preferences are not valid',
                 sort_unsupported_format : 'Sort input parameter has an invalid format',
                 filter_unsupported_format : 'Filter input parameter has an invalid format',
                 empty_file : 'Attached file is empty',
                 invalid_img_dim : 'Image dimensions invalied or not provided',
                 presign_up_ok : 'Pre sign-up validation of email/phone has been done ok.'
                },
                service_api_notfound: 'API Service URL not found',
                resource_not_found: 'REST Resource URL not found',
                resource_found_ok: 'REST Resource URL found OK',
                menuitem_found_ok: 'Menu options found OK',
                nenuitem_not_found: 'No menu options have been found',
                challengecode_sent_ok: 'Challenge code was sent succesfully',
                challengecode_verified_ok: 'Challenge code has been verified succesfully',
                challengecode_not_sent: 'Challenge code generation failed',
                challengecode_has_expired: 'Challenge code has expired',
                challengecode_not_found: 'Challenge code is not valid or does not exist',
                user_found_ok : 'User(s) found Ok',
                user_not_found : 'User(s) not found',
                user_external_provider : 'Email registered as a foreign account',
                user_already_registered : 'User already registered with this email or phone',
                user_preferences_notfound : 'User has not set any preferences',
                user_not_admin : 'User does not hava an Administrator role',
                user_not_authorized : 'Unauthorized user',
                user_cannot_createuser : 'User CANNOT create another user of a greater ROLE',
                user_wrong_password : 'Invalid password',
                user_auth_ok: 'Authentication succesfull',
                user_activity_ok: 'User activity found OK',
                user_not_active: 'User account has been suspended or is not active',
                user_saved_ok : 'User data has ben updated succesfully',
                userfavoriteproduct_saved_ok : 'User favorite product has been saved OK',
                user_loggedout_ok : 'User has been logged out succesfully',
                role_isnot_valid : 'Invalid role',
                adminuser_cantcreate_customerusers : 'Admin users cannot create Customer users',
                category_found_ok : 'Category(ies) found Ok',
                category_not_found : 'Category(ies) not found',
                category_pic_not_found : 'Category picture not found',
                category_pic_notuploaded : 'Category picture could not be uploaded or resized',
                category_saved_ok : 'Category created/updated Ok',
                category_exists_byname : 'Category already exists by name',
                country_found_ok : 'Country(ies) found Ok',
                country_not_found : 'Country(ies) not found',
                country_pic_not_found : 'Country picture not found',
                country_pic_notuploaded : 'Country picture could not be uploaded or resized',
                country_saved_ok : 'Country created/updated Ok',
                country_exists_byname : 'Country already registered (by name)',
                country_exists_bycode : 'Country already registered (by code)',
                restaurant_found_ok : 'Restaurant(s) found Ok',
                restaurant_not_found : 'Restaurant(s) not found',
                restaurant_pic_not_found : 'Restaurant picture not found',
                restaurant_pic_notuploaded : 'Restaurant picture could not be uploaded or resized',
                restaurant_saved_ok : 'Restaurant created/updated Ok',
                restaurant_exists_byname : 'Restaurant already registered (by name)',
                restaurantwkh_found_ok : 'Restaurant daily schedule found OK',
                restaurantwkh_not_found : 'Restaurant daily schedule not found',
                restauranttbl_found_ok : 'Restaurant tables found OK',
                restauranttbl_not_found : 'Restaurant table(s) not found',
                restauranttbl_not_available : 'Restaurant table is not available for reservation',
                restauranttbl_noaction_provided : 'No action to change Table status has been provided',
                restauranttbl_invalid_action : 'Changing Table status: Invalid action',
                restauranttbl_invalid_actionfromcurrentstatus : 'Action [is invalid/already done] from current status ',
                restauranttbl_saved_ok: 'Table created/updated OK',
                product_found_ok : 'Product(s) found Ok',
                product_not_found : 'Product(s) not found',
                product_pic_not_found: 'Product picture not found',
                product_pic_notuploaded : 'Product picture could not be uploaded or resized',
                product_saved_ok: 'Product created/updated Ok',
                product_exists_byname : 'Product already registered (by name)',
                order_found_ok : 'Order(s) found Ok',
                order_not_found : 'Order(s) not found',
                order_saved_ok: 'Order has been created/updated successfully',
                uservisitedproduct_saved_ok : 'Product viewed has been created/updated OK',
                order_is_closed: 'Order has been closed already. Cannot perform this operation',
                order_noaction_provided : 'No action to change Order status has been provided',
                order_invalid_action : 'Changing Order status: Invalid action',
                order_invalid_actionfromcurrentstatus : 'Changing Order status: Invalid action from current status ',
                orderworkflow_not_found: 'Order workflow records not found',
                reservation_found_ok : 'Reservation(s) found Ok',
                reservation_not_found : 'Reservation(s) not found',
                reservation_isnot_active: 'Reservation not active. Cannot perform this operation',
                reservation_has_order: 'Reservation has an attached Order. Cannot perform this operation',
                reservation_saved_ok: 'Reservation has been created/updated succesfully',
                reservation_deleted_ok: 'Reservation has been deleted succesfully',
                reservation_max_reached: 'No more reservations available for this date/time',
                reservation_max_people: 'Maximum number of people per reservation has been surpassed',
                reservation_noaction_provided : 'No action to change Reservation status has been provided',
                reservation_invalid_action : 'Changing Reservation status: Invalid action',
                reservation_invalid_actionfromcurrentstatus : 'Changing Reservation status: Invalid action from current status ',
                availability_found_ok: 'Hourly availability found OK',
                availability_not_found: 'Availability not found',
                uimenu_exists_byname : 'User interface menu already exists (by name)',
        }
};

